Package: org.grails.encoder

## [Java] Interface Encodeable

-     public interface Encodeable

  Marks a class capable of encoding itself with given Encoder

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.CharSequence` | `encode(Encoder encoder)` Encode with given encoder.

- - ### Method Detail

    - #### public java.lang.CharSequence encode(Encoder encoder)

      Encode with given encoder.

      Parameters:
        `encoder` - the encoder
      Returns:
        the encoded result